Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter
Class OWLModelContentWriter

    java.lang.Object
      edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter.OWLModelContentWriter

All Implemented Interfaces:
  RDFXMLContentWriter

    public class OWLModelContentWriter

extends Object
implements RDFXMLContentWriter

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Oct 8, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`OWLModelContentWriter(OWLModel model, TripleStore tripleStore)`
`OWLModelContentWriter(OWLModel model, TripleStore tripleStore, Comparator<RDFResource> comparator)` Constructs an OWLModel RDF/XML rdfwriter to render the specified `OWLModel`.

Method Summary
`protected Collection<RDFResource>` | `getResources()`
`void` | `writeContent(XMLWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLModelContentWriter

    public OWLModelContentWriter(OWLModel model,
                                 TripleStore tripleStore)

### OWLModelContentWriter

    public OWLModelContentWriter(OWLModel model,
                                 TripleStore tripleStore,
                                 Comparator<RDFResource> comparator)

  Constructs an OWLModel RDF/XML rdfwriter to render the specified `OWLModel`.

  Parameters:
    `model` - The model to be rendered.
    `tripleStore` - The triplestore to be rendered.

Method Detail

### getResources

    protected Collection<RDFResource> getResources()

### writeContent

    public void writeContent(XMLWriter writer)
                      throws IOException

  Specified by:
    `writeContent` in interface `RDFXMLContentWriter`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.